Subject: Is this what you had a problem with?

From: Austin Bill-P23393 <[email-masked]>
Date: Thu, 7 Mar 2002 13:45:11 -0700

>Bill Austin wrote:

This is very likely what he has objected to:

"3.7. What is Tunneling?

   Tunneling is the term applied to establishing an end-to-end
   connection for the purpose of providing protected transfer of
   information across the Internet.  One typical method of doing this
   is to encrypt packets at the transmission end and decrypt them at
   the reception end."

End-to-end encryption is not a "typical method" of doing tunneling.  Point-to-Point Tunneling Protocol (PPTP) encapsulates Point-to-Point Protocol (PPP) frames into IP datagrams for transmission over an IP-based network.  see RFC 2637.

The PPTP control connection creates, maintains, and terminates the tunnel. A modified Generic Routing Encapsulation (GRE) encapsulates PPP frames as tunneled data.  see RFC 1701 and RFC 1702 and see RFC 2637 for modifications. 

The payloads of the encapsulated PPP frames can be encrypted or compressed or both.

This is probably what he has a problem with.  The creation of the tunnel is done by encapulating packets, not by encrypting them.  Those packets may also be encrypted but they may not.  The encryption itself has nothing to do with the tunnel.

Bill Austin, CDMA Systems Division
Motorola Global Telecom Solutions Sector
http://www.motorola.com/aspira/CDMA.htm